Bug 1471596 - The X server fails to display content on monitor connected to dedicated GPU
The X server fails to display content on monitor connected to dedicated GPU
Status: NEW
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
26
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-16 23:21 EDT by Jonas Ådahl
Modified: 2018-05-03 04:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci output (2.03 KB, text/plain)
2017-07-16 23:21 EDT, Jonas Ådahl
no flags Details

  None (edit)
Description Jonas Ådahl 2017-07-16 23:21:34 EDT
Created attachment 1299623 [details]
lspci output

Description of problem:

On a Dell PN 5N793, where the integrated Intel GPU is connected to the built in panel, while a dedicated Nvidia GPU is connected to the HDMI port, the X server fails to display anything but the mouse cursor on a monitor connected to the HDMI.

Version-Release number of selected component (if applicable)
Fedora 26
X version: 1.19.3-4.fc26
Kernel: 4.11.8-300.fc26.x86_64

The nouveau kernel module is driver.


Steps to Reproduce:
1. Start Fedora
2. Connect HDMI cable
3. Observe that nothing but the cursor will ever show on the monitor

For example, no background image, and if you drag a window, it wont show. Moving the cursor there will show the cursor however.
Comment 1 Jonas Ådahl 2017-07-18 23:54:18 EDT
Relevant parts of the journal:

nvc0_screen_create:811 - Base screen init failed: -19
(EE) modeset(G0): glamor initialization failed

so I guess it falls back on some software path?

FWIW, I have seen it temporarily showing half correct content for example when showing / hiding the GNOME Shell overview.
Comment 2 Jonas Ådahl 2017-07-19 06:29:44 EDT
Possible work around (that works on the HW I tested): Upgrade to Linux 4.12, as it includes support for the particular GPU I have here. Using the ones here worked for example: https://kojipkgs.fedoraproject.org/packages/kernel/4.12.0/1.fc27/
Comment 3 Fedora End Of Life 2018-05-03 04:46:55 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.